/***********************************************************************

    Power Schedler control system

    GLOBALINV.H : Global variables and definitions.

    (c) Equipmake 2003

________________________________________________________________________
    WHAT    |    WHEN   |      WHO      | WHY
------------------------------------------------------------------------
    0.1     | 04/10/03  | I.Foley       | Created.
***********************************************************************/


/******************************************************************************
	GLOBAL INCLUDES
******************************************************************************/
#include <stdlib.h>
//#include <pic18cxxx.h>
//#include <pic18fxx8.h>
//#include <18F458.h>
//#include <p18f458.h>
#include <timers.h>
#include <I2C.h>
#include <capture.h>
#include <usart.h>
#include <adc.h>
/******************************************************************************
	GLOBAL DEFINES
******************************************************************************/
#ifdef  DECLARE_GLOBALS
#define GLOBAL     
#else
#define GLOBAL  extern
#endif                                                   

#define SCHAR   signed char 
#define UCHAR   unsigned char 
#define WORD    unsigned int
#define DWORD   unsigned long
#define int     short
#define INT16   short
#define INT32   long

#define BOOL    UCHAR
#define TRUE    1
#define FALSE   0
#define ON      1
#define OFF     0
#define OPEN	1
#define CLOSED	0
#define PUSHED  2
#define TOGGLE  3
#define HELD	4
#define ACTIVE  0x55


#define EESCHAR const signed char 
#define EEUCHAR const unsigned char 
#define EEINT   const signed int 
#define EEINT16 EEINT
#define EEWORD  const unsigned int 

/* Bit operation byte and word masks. */
#define BIT0    0x01
#define BIT1    0x02
#define BIT2    0x04
#define BIT3    0x08
#define BIT4    0x10
#define BIT5    0x20
#define BIT6    0x40
#define BIT7    0x80

#define BIT8    0x0100
#define BIT9    0x0200
#define BIT10   0x0400
#define BIT11   0x0800
#define BIT12   0x1000
#define BIT13   0x2000
#define BIT14   0x4000
#define BIT15   0x8000

#define BIT31   0x80000000


/* VB Result Union */
union VBResult
{
 int lr;    // 2 bytes as a long
 char br[2];   // 2 bytes as 2 chars
};

/* CAN Result Union */
union CANResult
{
 int lr;    // 2 bytes as a long
 char br[2];   // 2 bytes as 2 chars
};

/* EE Address Union */
union EEAddress
{
 unsigned int lr;    // 2 bytes as a long
 unsigned char br[2];   // 2 bytes as 2 chars
};
/* CCP Result Union*/
union CCPResult
{
  int lr;
  char br[2];
};

/*******************************************************************
    SYSTEM GLOBAL VARIABLES
********************************************************************/                       
GLOBAL UCHAR    Global1;       	// Example

// GLOBAL char ret[] = "\rREADY>";		//
GLOBAL char result_string[25];			// RS232 output string


/***********************************************************************
    E N D   O F   F I L E      
***********************************************************************/

